-- Create VOTE table

CREATE TABLE FACELECTMGR.VOTE
   (
      BALLOT_ID NUMBER(7,0) NOT NULL ENABLE,
      NOMINEE_UNIQUEID VARCHAR2(300) NOT NULL ENABLE,
      ELECTION_ID NUMBER(7,0),
      ROUND_TYPE_ID NUMBER(7,0),
      VOTE_RANK NUMBER(7,0) NOT NULL ENABLE,
      DATE_CREATED DATE,
      PRIMARY KEY (ELECTION_ID, ROUND_TYPE_ID, BALLOT_ID, NOMINEE_UNIQUEID, VOTE_RANK),
      FOREIGN KEY (round_type_id) REFERENCES FACELECTMGR.ROUND_TYPE(ROUND_TYPE_ID)
   );


-- VOTE Table column name description:

   COMMENT ON COLUMN "FACELECTMGR"."VOTE"."BALLOT_ID" IS 'id assigned for the ballot';
   COMMENT ON COLUMN "FACELECTMGR"."VOTE"."NOMINEE_UNIQUEID" IS 'unique id for the nominee';
   COMMENT ON COLUMN "FACELECTMGR"."VOTE"."ELECTION_ID" IS 'id related to the election table';
   COMMENT ON COLUMN "FACELECTMGR"."VOTE"."ROUND_TYPE_ID" IS 'id related to the round_type table';
   COMMENT ON COLUMN "FACELECTMGR"."VOTE"."VOTE_RANK" IS 'the rank of the vote table';
   COMMENT ON COLUMN "FACELECTMGR"."VOTE"."DATE_CREATED" IS 'date when the vote table was created';
  